/**
 * Created By Akansha
 * This file provides the necessary bean creation for the Form Tab.
 * *******************************************************************************************************************************
 * Sr No.  		Date			Name						New Addition
 * *******************************************************************************************************************************
 * 1.			25/06/2015		Latish						Addition of new columns to Anne2 Tab
 * 2.			30/08/2016		Akansha						Addition of new columns to Anne2 Tab for FRD1.6
 */
package com.tin.etabf.filecreator;

import com.tin.etbaf.rpu.GrpuUtil;

public class SDBean {

	private String LineNumber;
	private String RecordType;
	private String BatchNumber;
	private String SalaryDetailsRecordNo;
	private String Mode;
	private String Filler7;
	private String EmployeePAN;
	private String PANRefNo;
	private String NameofEmployee;
	private String CategoryofEmployee;
	private String PeriodofEmploymentFromDate;
	private String PeriodofEmploymentToDate;
	private String Totalamountofsalary;
	private String Filler8;
	private String CountofSalaryDetailsSection16DetailRecordsassociatedwiththisDeductee;
	private String GrossTotalofTotalDeductionundersection16underassociatedSalaryDetailsSection16Detail;
	private String IncomechargeableundertheheadSalaries;
	private String IncomeUnderanyheadotherthanincomeundertheheadSalariesofferedforTDS;
	private String GrossTotalIncome;
	private String LastGrossTotalIncome;
	private String CountofSalaryDetails_ChapterVIA_Detail;
	private String GrossTotalofAmountdeductibleunderprovisionsofchapterVI_A;
	private String TotalTaxableIncome;
	private String IncomeTaxonTotalIncome;
	private String Surcharge;
	private String EducationCess;
	private String IncomeTaxRelief;
	private String NetIncomeTaxpayable;
	private String Totalamountoftaxdeductedatsourceforthewholeyear;
	private String ShortfallintaxdeductionExcesstaxdeduction;
	private String Aggregateamountofdeductionsadmissibleundersection80C80CCCand80CCD;
	private String Remarks_1;
	private String Remarks_2;
	private String TaxableAmountonwhichtaxisdeductedbythecurrentemployer;
	private String ReportedTaxableAmountonwhichtaxisdeductedbypreviousemployer;
	private String TotalAmountoftaxdeductedatsourcebythecurrentemployerforthewholeyear;
	private String ReportedamountofTaxdeductedatsourcebypreviousemployer;
	private String WhethertaxdeductedatHigherrate;

	// newly added for FRD1.6 by akansha
	private String Whetherhouserentallowanceclaim;
	private String CountofPANoftheLandLord;
	private String PanofLandlord1;
	private String NameofLandlord1;
	private String PanofLandlord2;
	private String NameofLandlord2;
	private String PanofLandlord3;
	private String NameofLandlord3;
	private String PanofLandlord4;
	private String NameofLandlord4;
	private String WhetherInterestPaidtotheLender;
	private String CountofPANoftheLender;
	private String DeductionOfInterestUnderHeadIncomePANofLender1;
	private String DeductionOfInterestUnderHeadIncomeNameofLender1;
	private String DeductionOfInterestUnderHeadIncomePANofLender2;
	private String DeductionOfInterestUnderHeadIncomeNameofLender2;
	private String DeductionOfInterestUnderHeadIncomePANofLender3;
	private String DeductionOfInterestUnderHeadIncomeNameofLender3;
	private String DeductionOfInterestUnderHeadIncomePANofLender4;
	private String DeductionOfInterestUnderHeadIncomeNameofLender4;
	
	//newly added for revised FRD1.6
	private String WhetherContributionsPaidByTrustees;
	private String NameOfSuperAnnuationFund;
	private String DateFromWhichEmpContrSuperAnnFund;
	private String DateToWhichEmpContrSuperAnnFund;
	private String AmountOfContrRepaidPI;
	private String AvgRateOfDedTaxPrecedingThreeYears;
	private String AmountOfTaxDeductedRepayment;
	private String GrossTotalIncomeContrPISuperAnnuation;
	
	/****************** Added for 2.7 Start ********************/
	private String GrossSalaryAsPerSec17_1;
	private String ValueOfPerquisiteAsPerSec17_2;
	private String ProfitsInLieuOfSalaryAsPerSec17_3;
	private String TravelConcession ;
	private String DeathCumRetirementGratuity ;
	private String CommutedValueOfPension;
	private String CashEquivalentOfLeaveSalary;
	private String HRA;
	private String AmountOfAnyOtherExemption;
	private String TotalAmountOfExemption;
	private String IncomeUnderTheHead;
	private String RebateUnderSection87A;
	private String Whetheroptingfornewtax;   //RPU 3.6 changes

	/****************** Added for 2.7 End ********************/
	
	// *****************************************************************************
	private String RecordHash;

	public String getLineNumber() {
		return LineNumber;
	}

	public void setLineNumber(String lineNumber) {
		LineNumber = lineNumber;
	}

	public String getRecordType() {
		return RecordType;
	}

	public void setRecordType(String recordType) {
		RecordType = recordType;
	}

	public String getBatchNumber() {
		return BatchNumber;
	}

	public void setBatchNumber(String batchNumber) {
		BatchNumber = batchNumber;
	}

	public String getSalaryDetailsRecordNo() {
		return SalaryDetailsRecordNo;
	}

	public void setSalaryDetailsRecordNo(String salaryDetailsRecordNo) {
		SalaryDetailsRecordNo = salaryDetailsRecordNo;
	}

	public String getMode() {
		return Mode;
	}

	public void setMode(String mode) {
		Mode = mode;
	}

	public String getFiller7() {
		return Filler7;
	}

	public void setFiller7(String filler7) {
		Filler7 = filler7;
	}

	public String getEmployeePAN() {
		return EmployeePAN;
	}

	public void setEmployeePAN(String employeePAN) {
		EmployeePAN = employeePAN;
	}

	public String getPANRefNo() {
		return PANRefNo;
	}

	public void setPANRefNo(String pANRefNo) {
		PANRefNo = pANRefNo;
	}

	public String getNameofEmployee() {
		return NameofEmployee;
	}

	public void setNameofEmployee(String nameofEmployee) {
		NameofEmployee = nameofEmployee;
	}

	public String getCategoryofEmployee() {
		return CategoryofEmployee;
	}

	public void setCategoryofEmployee(String categoryofEmployee) {
		CategoryofEmployee = categoryofEmployee;
	}

	public String getPeriodofEmploymentFromDate() {
		return PeriodofEmploymentFromDate;
	}

	public void setPeriodofEmploymentFromDate(String periodofEmploymentFromDate) {
		PeriodofEmploymentFromDate = periodofEmploymentFromDate;
	}

	public String getPeriodofEmploymentToDate() {
		return PeriodofEmploymentToDate;
	}

	public void setPeriodofEmploymentToDate(String periodofEmploymentToDate) {
		PeriodofEmploymentToDate = periodofEmploymentToDate;
	}

	public String getTotalamountofsalary() {
		return Totalamountofsalary;
	}

	public void setTotalamountofsalary(String totalamountofsalary) {
		Totalamountofsalary = totalamountofsalary;
	}

	public String getFiller8() {
		return Filler8;
	}

	public void setFiller8(String filler8) {
		Filler8 = filler8;
	}

	public String getCountofSalaryDetailsSection16DetailRecordsassociatedwiththisDeductee() {
		return CountofSalaryDetailsSection16DetailRecordsassociatedwiththisDeductee;
	}

	public void setCountofSalaryDetailsSection16DetailRecordsassociatedwiththisDeductee(
			String countofSalaryDetailsSection16DetailRecordsassociatedwiththisDeductee) {
		CountofSalaryDetailsSection16DetailRecordsassociatedwiththisDeductee = countofSalaryDetailsSection16DetailRecordsassociatedwiththisDeductee;
	}

	public String getGrossTotalofTotalDeductionundersection16underassociatedSalaryDetailsSection16Detail() {
		return GrossTotalofTotalDeductionundersection16underassociatedSalaryDetailsSection16Detail;
	}

	public void setGrossTotalofTotalDeductionundersection16underassociatedSalaryDetailsSection16Detail(
			String grossTotalofTotalDeductionundersection16underassociatedSalaryDetailsSection16Detail) {
		GrossTotalofTotalDeductionundersection16underassociatedSalaryDetailsSection16Detail = grossTotalofTotalDeductionundersection16underassociatedSalaryDetailsSection16Detail;
	}

	public String getIncomechargeableundertheheadSalaries() {
		return IncomechargeableundertheheadSalaries;
	}

	public void setIncomechargeableundertheheadSalaries(
			String incomechargeableundertheheadSalaries) {
		IncomechargeableundertheheadSalaries = incomechargeableundertheheadSalaries;
	}

	public String getIncomeUnderanyheadotherthanincomeundertheheadSalariesofferedforTDS() {
		return IncomeUnderanyheadotherthanincomeundertheheadSalariesofferedforTDS;
	}

	public void setIncomeUnderanyheadotherthanincomeundertheheadSalariesofferedforTDS(
			String incomeUnderanyheadotherthanincomeundertheheadSalariesofferedforTDS) {
		IncomeUnderanyheadotherthanincomeundertheheadSalariesofferedforTDS = incomeUnderanyheadotherthanincomeundertheheadSalariesofferedforTDS;
	}

	public String getGrossTotalIncome() {
		return GrossTotalIncome;
	}

	public void setGrossTotalIncome(String grossTotalIncome) {
		GrossTotalIncome = grossTotalIncome;
	}

	public String getLastGrossTotalIncome() {
		return LastGrossTotalIncome;
	}

	public void setLastGrossTotalIncome(String lastGrossTotalIncome) {
		LastGrossTotalIncome = lastGrossTotalIncome;
	}

	public String getCountofSalaryDetails_ChapterVIA_Detail() {
		return CountofSalaryDetails_ChapterVIA_Detail;
	}

	public void setCountofSalaryDetails_ChapterVIA_Detail(
			String countofSalaryDetails_ChapterVIA_Detail) {
		CountofSalaryDetails_ChapterVIA_Detail = countofSalaryDetails_ChapterVIA_Detail;
	}

	public String getGrossTotalofAmountdeductibleunderprovisionsofchapterVI_A() {
		return GrossTotalofAmountdeductibleunderprovisionsofchapterVI_A;
	}

	public void setGrossTotalofAmountdeductibleunderprovisionsofchapterVI_A(
			String grossTotalofAmountdeductibleunderprovisionsofchapterVI_A) {
		GrossTotalofAmountdeductibleunderprovisionsofchapterVI_A = grossTotalofAmountdeductibleunderprovisionsofchapterVI_A;
	}

	public String getTotalTaxableIncome() {
		return TotalTaxableIncome;
	}

	public void setTotalTaxableIncome(String totalTaxableIncome) {
		TotalTaxableIncome = totalTaxableIncome;
	}

	public String getIncomeTaxonTotalIncome() {
		return IncomeTaxonTotalIncome;
	}

	public void setIncomeTaxonTotalIncome(String incomeTaxonTotalIncome) {
		IncomeTaxonTotalIncome = incomeTaxonTotalIncome;
	}

	public String getSurcharge() {
		return Surcharge;
	}

	public void setSurcharge(String surcharge) {
		Surcharge = surcharge;
	}

	public String getEducationCess() {
		return EducationCess;
	}

	public void setEducationCess(String educationCess) {
		EducationCess = educationCess;
	}

	public String getIncomeTaxRelief() {
		return IncomeTaxRelief;
	}

	public void setIncomeTaxRelief(String incomeTaxRelief) {
		IncomeTaxRelief = incomeTaxRelief;
	}

	public String getNetIncomeTaxpayable() {
		return NetIncomeTaxpayable;
	}

	public void setNetIncomeTaxpayable(String netIncomeTaxpayable) {
		NetIncomeTaxpayable = netIncomeTaxpayable;
	}

	public String getTotalamountoftaxdeductedatsourceforthewholeyear() {
		return Totalamountoftaxdeductedatsourceforthewholeyear;
	}

	public void setTotalamountoftaxdeductedatsourceforthewholeyear(
			String totalamountoftaxdeductedatsourceforthewholeyear) {
		Totalamountoftaxdeductedatsourceforthewholeyear = totalamountoftaxdeductedatsourceforthewholeyear;
	}

	public String getShortfallintaxdeductionExcesstaxdeduction() {
		return ShortfallintaxdeductionExcesstaxdeduction;
	}

	public void setShortfallintaxdeductionExcesstaxdeduction(
			String shortfallintaxdeductionExcesstaxdeduction) {
		ShortfallintaxdeductionExcesstaxdeduction = shortfallintaxdeductionExcesstaxdeduction;
	}

	public String getAggregateamountofdeductionsadmissibleundersection80C80CCCand80CCD() {
		return Aggregateamountofdeductionsadmissibleundersection80C80CCCand80CCD;
	}

	public void setAggregateamountofdeductionsadmissibleundersection80C80CCCand80CCD(
			String aggregateamountofdeductionsadmissibleundersection80c80ccCand80CCD) {
		Aggregateamountofdeductionsadmissibleundersection80C80CCCand80CCD = aggregateamountofdeductionsadmissibleundersection80c80ccCand80CCD;
	}

	public String getRemarks_1() {
		return Remarks_1;
	}

	public void setRemarks_1(String remarks_1) {
		Remarks_1 = remarks_1;
	}

	public String getRemarks_2() {
		return Remarks_2;
	}

	public void setRemarks_2(String remarks_2) {
		Remarks_2 = remarks_2;
	}

	public String getTaxableAmountonwhichtaxisdeductedbythecurrentemployer() {
		return TaxableAmountonwhichtaxisdeductedbythecurrentemployer;
	}

	public void setTaxableAmountonwhichtaxisdeductedbythecurrentemployer(
			String taxableAmountonwhichtaxisdeductedbythecurrentemployer) {
		TaxableAmountonwhichtaxisdeductedbythecurrentemployer = taxableAmountonwhichtaxisdeductedbythecurrentemployer;
	}

	public String getReportedTaxableAmountonwhichtaxisdeductedbypreviousemployer() {
		return ReportedTaxableAmountonwhichtaxisdeductedbypreviousemployer;
	}

	public void setReportedTaxableAmountonwhichtaxisdeductedbypreviousemployer(
			String reportedTaxableAmountonwhichtaxisdeductedbypreviousemployer) {
		ReportedTaxableAmountonwhichtaxisdeductedbypreviousemployer = reportedTaxableAmountonwhichtaxisdeductedbypreviousemployer;
	}

	public String getTotalAmountoftaxdeductedatsourcebythecurrentemployerforthewholeyear() {
		return TotalAmountoftaxdeductedatsourcebythecurrentemployerforthewholeyear;
	}

	public void setTotalAmountoftaxdeductedatsourcebythecurrentemployerforthewholeyear(
			String totalAmountoftaxdeductedatsourcebythecurrentemployerforthewholeyear) {
		TotalAmountoftaxdeductedatsourcebythecurrentemployerforthewholeyear = totalAmountoftaxdeductedatsourcebythecurrentemployerforthewholeyear;
	}

	public String getReportedamountofTaxdeductedatsourcebypreviousemployer() {
		return ReportedamountofTaxdeductedatsourcebypreviousemployer;
	}

	public void setReportedamountofTaxdeductedatsourcebypreviousemployer(
			String reportedamountofTaxdeductedatsourcebypreviousemployer) {
		ReportedamountofTaxdeductedatsourcebypreviousemployer = reportedamountofTaxdeductedatsourcebypreviousemployer;
	}

	public String getWhethertaxdeductedatHigherrate() {
		return WhethertaxdeductedatHigherrate;
	}

	public void setWhethertaxdeductedatHigherrate(
			String whethertaxdeductedatHigherrate) {
		WhethertaxdeductedatHigherrate = whethertaxdeductedatHigherrate;
	}

	// newly added for FRD1.6 by akansha
	public String getWhetherhouserentallowanceclaim() {
		return Whetherhouserentallowanceclaim;
	}

	public void setWhetherhouserentallowanceclaim(
			String whetherhouserentallowanceclaim) {
		Whetherhouserentallowanceclaim = whetherhouserentallowanceclaim;
	}

	public String getPanofLandlord1() {
		return PanofLandlord1;
	}

	public void setPanofLandlord1(String panofLandlord1) {
		PanofLandlord1 = panofLandlord1;
	}

	public String getNameofLandlord1() {
		return NameofLandlord1;
	}

	public void setNameofLandlord1(String nameofLandlord1) {
		NameofLandlord1 = nameofLandlord1;
	}

	public String getPanofLandlord2() {
		return PanofLandlord2;
	}

	public void setPanofLandlord2(String panofLandlord2) {
		PanofLandlord2 = panofLandlord2;
	}

	public String getNameofLandlord2() {
		return NameofLandlord2;
	}

	public void setNameofLandlord2(String nameofLandlord2) {
		NameofLandlord2 = nameofLandlord2;
	}

	public String getPanofLandlord3() {
		return PanofLandlord3;
	}

	public void setPanofLandlord3(String panofLandlord3) {
		PanofLandlord3 = panofLandlord3;
	}

	public String getNameofLandlord3() {
		return NameofLandlord3;
	}

	public void setNameofLandlord3(String nameofLandlord3) {
		NameofLandlord3 = nameofLandlord3;
	}

	public String getPanofLandlord4() {
		return PanofLandlord4;
	}

	public void setPanofLandlord4(String panofLandlord4) {
		PanofLandlord4 = panofLandlord4;
	}

	public String getNameofLandlord4() {
		return NameofLandlord4;
	}

	public void setNameofLandlord4(String nameofLandlord4) {
		NameofLandlord4 = nameofLandlord4;
	}

	public String getDeductionOfInterestUnderHeadIncomePANofLender1() {
		return DeductionOfInterestUnderHeadIncomePANofLender1;
	}

	public void setDeductionOfInterestUnderHeadIncomePANofLender1(
			String deductionOfInterestUnderHeadIncomePANofLender1) {
		DeductionOfInterestUnderHeadIncomePANofLender1 = deductionOfInterestUnderHeadIncomePANofLender1;
	}

	public String getDeductionOfInterestUnderHeadIncomeNameofLender1() {
		return DeductionOfInterestUnderHeadIncomeNameofLender1;
	}

	public void setDeductionOfInterestUnderHeadIncomeNameofLender1(
			String deductionOfInterestUnderHeadIncomeNameofLender1) {
		DeductionOfInterestUnderHeadIncomeNameofLender1 = deductionOfInterestUnderHeadIncomeNameofLender1;
	}

	public String getDeductionOfInterestUnderHeadIncomePANofLender2() {
		return DeductionOfInterestUnderHeadIncomePANofLender2;
	}

	public void setDeductionOfInterestUnderHeadIncomePANofLender2(
			String deductionOfInterestUnderHeadIncomePANofLender2) {
		DeductionOfInterestUnderHeadIncomePANofLender2 = deductionOfInterestUnderHeadIncomePANofLender2;
	}

	public String getDeductionOfInterestUnderHeadIncomeNameofLender2() {
		return DeductionOfInterestUnderHeadIncomeNameofLender2;
	}

	public void setDeductionOfInterestUnderHeadIncomeNameofLender2(
			String deductionOfInterestUnderHeadIncomeNameofLender2) {
		DeductionOfInterestUnderHeadIncomeNameofLender2 = deductionOfInterestUnderHeadIncomeNameofLender2;
	}

	public String getDeductionOfInterestUnderHeadIncomePANofLender3() {
		return DeductionOfInterestUnderHeadIncomePANofLender3;
	}

	public void setDeductionOfInterestUnderHeadIncomePANofLender3(
			String deductionOfInterestUnderHeadIncomePANofLender3) {
		DeductionOfInterestUnderHeadIncomePANofLender3 = deductionOfInterestUnderHeadIncomePANofLender3;
	}

	public String getDeductionOfInterestUnderHeadIncomeNameofLender3() {
		return DeductionOfInterestUnderHeadIncomeNameofLender3;
	}

	public void setDeductionOfInterestUnderHeadIncomeNameofLender3(
			String deductionOfInterestUnderHeadIncomeNameofLender3) {
		DeductionOfInterestUnderHeadIncomeNameofLender3 = deductionOfInterestUnderHeadIncomeNameofLender3;
	}

	public String getDeductionOfInterestUnderHeadIncomePANofLender4() {
		return DeductionOfInterestUnderHeadIncomePANofLender4;
	}

	public void setDeductionOfInterestUnderHeadIncomePANofLender4(
			String deductionOfInterestUnderHeadIncomePANofLender4) {
		DeductionOfInterestUnderHeadIncomePANofLender4 = deductionOfInterestUnderHeadIncomePANofLender4;
	}

	public String getDeductionOfInterestUnderHeadIncomeNameofLender4() {
		return DeductionOfInterestUnderHeadIncomeNameofLender4;
	}

	public void setDeductionOfInterestUnderHeadIncomeNameofLender4(
			String deductionOfInterestUnderHeadIncomeNameofLender4) {
		DeductionOfInterestUnderHeadIncomeNameofLender4 = deductionOfInterestUnderHeadIncomeNameofLender4;
	}
	public String getCountofPANoftheLandLord() {
		return CountofPANoftheLandLord;
	}

	public void setCountofPANoftheLandLord(String countofPANoftheLandLord) {
		CountofPANoftheLandLord = countofPANoftheLandLord;
	}

	public String getWhetherInterestPaidtotheLender() {
		return WhetherInterestPaidtotheLender;
	}

	public void setWhetherInterestPaidtotheLender(
			String whetherInterestPaidtotheLender) {
		WhetherInterestPaidtotheLender = whetherInterestPaidtotheLender;
	}

	public String getCountofPANoftheLender() {
		return CountofPANoftheLender;
	}

	public void setCountofPANoftheLender(String countofPANoftheLender) {
		CountofPANoftheLender = countofPANoftheLender;
	}
	
	public String getWhetherContributionsPaidByTrustees() {
		return WhetherContributionsPaidByTrustees;
	}

	public void setWhetherContributionsPaidByTrustees(
			String whetherContributionsPaidByTrustees) {
		WhetherContributionsPaidByTrustees = whetherContributionsPaidByTrustees;
	}

	public String getNameOfSuperAnnuationFund() {
		return NameOfSuperAnnuationFund;
	}

	public void setNameOfSuperAnnuationFund(String nameOfSuperAnnuationFund) {
		NameOfSuperAnnuationFund = nameOfSuperAnnuationFund;
	}

	public String getDateFromWhichEmpContrSuperAnnFund() {
		return DateFromWhichEmpContrSuperAnnFund;
	}

	public void setDateFromWhichEmpContrSuperAnnFund(
			String dateFromWhichEmpContrSuperAnnFund) {
		DateFromWhichEmpContrSuperAnnFund = dateFromWhichEmpContrSuperAnnFund;
	}

	public String getDateToWhichEmpContrSuperAnnFund() {
		return DateToWhichEmpContrSuperAnnFund;
	}

	public void setDateToWhichEmpContrSuperAnnFund(
			String dateToWhichEmpContrSuperAnnFund) {
		DateToWhichEmpContrSuperAnnFund = dateToWhichEmpContrSuperAnnFund;
	}

	public String getAmountOfContrRepaidPI() {
		return AmountOfContrRepaidPI;
	}

	public void setAmountOfContrRepaidPI(String amountOfContrRepaidPI) {
		AmountOfContrRepaidPI = amountOfContrRepaidPI;
	}

	public String getAvgRateOfDedTaxPrecedingThreeYears() {
		return AvgRateOfDedTaxPrecedingThreeYears;
	}

	public void setAvgRateOfDedTaxPrecedingThreeYears(
			String avgRateOfDedTaxPrecedingThreeYears) {
		AvgRateOfDedTaxPrecedingThreeYears = avgRateOfDedTaxPrecedingThreeYears;
	}

	public String getAmountOfTaxDeductedRepayment() {
		return AmountOfTaxDeductedRepayment;
	}

	public void setAmountOfTaxDeductedRepayment(String amountOfTaxDeductedRepayment) {
		AmountOfTaxDeductedRepayment = amountOfTaxDeductedRepayment;
	}

	public String getGrossTotalIncomeContrPISuperAnnuation() {
		return GrossTotalIncomeContrPISuperAnnuation;
	}

	public void setGrossTotalIncomeContrPISuperAnnuation(
			String grossTotalIncomeContrPISuperAnnuation) {
		GrossTotalIncomeContrPISuperAnnuation = grossTotalIncomeContrPISuperAnnuation;
	}


	// ************************************************************************************

	public String getRecordHash() {
		return RecordHash;
	}

	public void setRecordHash(String recordHash) {
		RecordHash = recordHash;
	}

	
	/***************** Added for 2.7 Start  ********************/
	
	public String getGrossSalaryAsPerSec17_1() {
		return GrossSalaryAsPerSec17_1;
	}

	public void setGrossSalaryAsPerSec17_1(String grossSalaryAsPerSec17_1) {
		GrossSalaryAsPerSec17_1 = grossSalaryAsPerSec17_1;
	}

	public String getValueOfPerquisiteAsPerSec17_2() {
		return ValueOfPerquisiteAsPerSec17_2;
	}

	public void setValueOfPerquisiteAsPerSec17_2(
			String valueOfPerquisiteAsPerSec17_2) {
		ValueOfPerquisiteAsPerSec17_2 = valueOfPerquisiteAsPerSec17_2;
	}

	public String getProfitsInLieuOfSalaryAsPerSec17_3() {
		return ProfitsInLieuOfSalaryAsPerSec17_3;
	}

	public void setProfitsInLieuOfSalaryAsPerSec17_3(
			String profitsInLieuOfSalaryAsPerSec17_3) {
		ProfitsInLieuOfSalaryAsPerSec17_3 = profitsInLieuOfSalaryAsPerSec17_3;
	}

	public String getTravelConcession() {
		return TravelConcession;
	}

	public void setTravelConcession(String travelConcession) {
		TravelConcession = travelConcession;
	}

	public String getDeathCumRetirementGratuity() {
		return DeathCumRetirementGratuity;
	}

	public void setDeathCumRetirementGratuity(String deathCumRetirementGratuity) {
		DeathCumRetirementGratuity = deathCumRetirementGratuity;
	}

	public String getCommutedValueOfPension() {
		return CommutedValueOfPension;
	}

	public void setCommutedValueOfPension(String commutedValueOfPension) {
		CommutedValueOfPension = commutedValueOfPension;
	}

	public String getCashEquivalentOfLeaveSalary() {
		return CashEquivalentOfLeaveSalary;
	}

	public void setCashEquivalentOfLeaveSalary(String cashEquivalentOfLeaveSalary) {
		CashEquivalentOfLeaveSalary = cashEquivalentOfLeaveSalary;
	}

	public String getHRA() {
		return HRA;
	}

	public void setHRA(String hRA) {
		HRA = hRA;
	}

	public String getAmountOfAnyOtherExemption() {
		return AmountOfAnyOtherExemption;
	}

	public void setAmountOfAnyOtherExemption(String amountOfAnyOtherExemption) {
		AmountOfAnyOtherExemption = amountOfAnyOtherExemption;
	}

	public String getTotalAmountOfExemption() {
		return TotalAmountOfExemption;
	}

	public void setTotalAmountOfExemption(String totalAmountOfExemption) {
		TotalAmountOfExemption = totalAmountOfExemption;
	}

	public String getIncomeUnderTheHead() {
		return IncomeUnderTheHead;
	}

	public void setIncomeUnderTheHead(String incomeUnderTheHead) {
		IncomeUnderTheHead = incomeUnderTheHead;
	}

	
	public String getRebateUnderSection87A() {
		return RebateUnderSection87A;
	}

	public void setRebateUnderSection87A(String rebateUnderSection87A) {
		RebateUnderSection87A = rebateUnderSection87A;
	}

	public String getWhetheroptingfornewtax() {   //RPU 3.6 changes
        return Whetheroptingfornewtax;
    }

 

    public void setWhetheroptingfornewtax(String whetheroptingfornewtax) {
        Whetheroptingfornewtax = whetheroptingfornewtax;
    }
	/***************** Added for 2.7 End  ********************/
	
	public String toString() {
		StringBuilder sb = new StringBuilder();

		if (LineNumber != null && LineNumber.length() != 0) {
			sb.append(LineNumber);
		}

		sb.append("^");

		if (RecordType != null && RecordType.length() != 0) {
			sb.append(RecordType);
		}

		sb.append("^");

		if (BatchNumber != null && BatchNumber.length() != 0) {
			sb.append(BatchNumber);
		}

		sb.append("^");

		if (SalaryDetailsRecordNo != null
				&& SalaryDetailsRecordNo.length() != 0) {
			sb.append(SalaryDetailsRecordNo);
		}

		sb.append("^");

		if (Mode != null && Mode.length() != 0) {
			sb.append(Mode);
		}

		sb.append("^");

		if (Filler7 != null && Filler7.length() != 0) {
			sb.append(Filler7);
		}

		sb.append("^");

		if (EmployeePAN != null && EmployeePAN.length() != 0) {
			sb.append(EmployeePAN);
		}

		sb.append("^");

		if (PANRefNo != null && PANRefNo.length() != 0) {
			sb.append(PANRefNo);
		}

		sb.append("^");

		if (NameofEmployee != null && NameofEmployee.length() != 0) {
			sb.append(NameofEmployee);
		}

		sb.append("^");

		if (CategoryofEmployee != null && CategoryofEmployee.length() != 0) {
			sb.append(CategoryofEmployee);
		}

		sb.append("^");

		if (PeriodofEmploymentFromDate != null
				&& PeriodofEmploymentFromDate.length() != 0) {
			sb.append(PeriodofEmploymentFromDate);
		}

		sb.append("^");

		if (PeriodofEmploymentToDate != null
				&& PeriodofEmploymentToDate.length() != 0) {
			sb.append(PeriodofEmploymentToDate);
		}

		sb.append("^");

		if (Totalamountofsalary != null && Totalamountofsalary.length() != 0
				&& !Totalamountofsalary.equalsIgnoreCase(" ")) {
			sb.append(GrpuUtil.validateDecimal(Totalamountofsalary, 2));
		}

		sb.append("^");

		if (Filler8 != null && Filler8.length() != 0) {
			sb.append(Filler8);
		}

		sb.append("^");

		if (CountofSalaryDetailsSection16DetailRecordsassociatedwiththisDeductee != null
				&& CountofSalaryDetailsSection16DetailRecordsassociatedwiththisDeductee
						.length() != 0) {
			sb.append(CountofSalaryDetailsSection16DetailRecordsassociatedwiththisDeductee);
		}

		sb.append("^");

		if (GrossTotalofTotalDeductionundersection16underassociatedSalaryDetailsSection16Detail != null
				&& GrossTotalofTotalDeductionundersection16underassociatedSalaryDetailsSection16Detail
						.length() != 0
				&& !GrossTotalofTotalDeductionundersection16underassociatedSalaryDetailsSection16Detail
						.equalsIgnoreCase(" ")) {
			sb.append(GrpuUtil
					.validateDecimal(
							GrossTotalofTotalDeductionundersection16underassociatedSalaryDetailsSection16Detail,
							2));
		}

		sb.append("^");

		if (IncomechargeableundertheheadSalaries != null
				&& IncomechargeableundertheheadSalaries.length() != 0
				&& !IncomechargeableundertheheadSalaries.equalsIgnoreCase(" ")) {
			sb.append(GrpuUtil.validateDecimal(
					IncomechargeableundertheheadSalaries, 2));
		}

		sb.append("^");

		if (IncomeUnderanyheadotherthanincomeundertheheadSalariesofferedforTDS != null
				&& IncomeUnderanyheadotherthanincomeundertheheadSalariesofferedforTDS
						.length() != 0
				&& !IncomeUnderanyheadotherthanincomeundertheheadSalariesofferedforTDS
						.equalsIgnoreCase(" ")) {
			sb.append(GrpuUtil
					.validateDecimal(
							IncomeUnderanyheadotherthanincomeundertheheadSalariesofferedforTDS,
							2));
		}

		sb.append("^");

		if (GrossTotalIncome != null && GrossTotalIncome.length() != 0
				&& !GrossTotalIncome.equalsIgnoreCase(" ")) {
			sb.append(GrpuUtil.validateDecimal(GrossTotalIncome, 2));
		}

		sb.append("^");

		if (LastGrossTotalIncome != null && LastGrossTotalIncome.length() != 0
				&& !LastGrossTotalIncome.equalsIgnoreCase(" ")) {
			sb.append(GrpuUtil.validateDecimal(LastGrossTotalIncome, 2));
		}

		sb.append("^");

		if (CountofSalaryDetails_ChapterVIA_Detail != null
				&& CountofSalaryDetails_ChapterVIA_Detail.length() != 0
				&& !CountofSalaryDetails_ChapterVIA_Detail
						.equalsIgnoreCase(" ")) {
			sb.append(CountofSalaryDetails_ChapterVIA_Detail);
		}

		sb.append("^");

		if (GrossTotalofAmountdeductibleunderprovisionsofchapterVI_A != null
				&& GrossTotalofAmountdeductibleunderprovisionsofchapterVI_A
						.length() != 0
				&& !GrossTotalofAmountdeductibleunderprovisionsofchapterVI_A
						.equalsIgnoreCase(" ")) {
			sb.append(GrpuUtil
					.validateDecimal(
							GrossTotalofAmountdeductibleunderprovisionsofchapterVI_A,
							2));
		}

		sb.append("^");

		if (TotalTaxableIncome != null && TotalTaxableIncome.length() != 0
				&& !TotalTaxableIncome.equalsIgnoreCase(" ")) {
			sb.append(GrpuUtil.validateDecimal(TotalTaxableIncome, 2));
		}

		sb.append("^");

		if (IncomeTaxonTotalIncome != null
				&& IncomeTaxonTotalIncome.length() != 0
				&& !IncomeTaxonTotalIncome.equalsIgnoreCase(" ")) {
			sb.append(GrpuUtil.validateDecimal(IncomeTaxonTotalIncome, 2));
		}

		sb.append("^");

		if (Surcharge != null && Surcharge.length() != 0
				&& !Surcharge.equalsIgnoreCase(" ")) {
			sb.append(GrpuUtil.validateDecimal(Surcharge, 2));
		}

		sb.append("^");

		if (EducationCess != null && EducationCess.length() != 0
				&& !EducationCess.equalsIgnoreCase(" ")) {
			sb.append(GrpuUtil.validateDecimal(EducationCess, 2));
		}

		sb.append("^");

		if (IncomeTaxRelief != null && IncomeTaxRelief.length() != 0
				&& !IncomeTaxRelief.equalsIgnoreCase(" ")) {
			sb.append(GrpuUtil.validateDecimal(IncomeTaxRelief, 2));
		}

		sb.append("^");

		if (NetIncomeTaxpayable != null && NetIncomeTaxpayable.length() != 0
				&& !NetIncomeTaxpayable.equalsIgnoreCase(" ")) {
			sb.append(GrpuUtil.validateDecimal(NetIncomeTaxpayable, 2));
		}

		sb.append("^");

		if (Totalamountoftaxdeductedatsourceforthewholeyear != null
				&& Totalamountoftaxdeductedatsourceforthewholeyear.length() != 0
				&& !Totalamountoftaxdeductedatsourceforthewholeyear
						.equalsIgnoreCase(" ")) {
			sb.append(GrpuUtil.validateDecimal(
					Totalamountoftaxdeductedatsourceforthewholeyear, 2));
		}

		sb.append("^");

		if (ShortfallintaxdeductionExcesstaxdeduction != null
				&& ShortfallintaxdeductionExcesstaxdeduction.length() != 0
				&& !ShortfallintaxdeductionExcesstaxdeduction
						.equalsIgnoreCase(" ")) {
			sb.append(GrpuUtil.validateDecimal(
					ShortfallintaxdeductionExcesstaxdeduction, 2));
		}

		sb.append("^");

		if (Aggregateamountofdeductionsadmissibleundersection80C80CCCand80CCD != null
				&& Aggregateamountofdeductionsadmissibleundersection80C80CCCand80CCD
						.length() != 0
				&& !Aggregateamountofdeductionsadmissibleundersection80C80CCCand80CCD
						.equalsIgnoreCase(" ")
						&& !Aggregateamountofdeductionsadmissibleundersection80C80CCCand80CCD.equals('0')) {
			sb.append(GrpuUtil
					.validateDecimal(
							Aggregateamountofdeductionsadmissibleundersection80C80CCCand80CCD,
							2));
		}

		sb.append("^");

		if (Remarks_1 != null && Remarks_1.length() != 0) {
			sb.append(Remarks_1);
		}

		sb.append("^");

		if (Remarks_2 != null && Remarks_2.length() != 0) {
			sb.append(Remarks_2);
		}

		sb.append("^");

		if (TaxableAmountonwhichtaxisdeductedbythecurrentemployer != null
				&& TaxableAmountonwhichtaxisdeductedbythecurrentemployer
						.length() != 0
				&& !TaxableAmountonwhichtaxisdeductedbythecurrentemployer
						.equalsIgnoreCase(" ")) {
			sb.append(GrpuUtil.validateDecimal(
					TaxableAmountonwhichtaxisdeductedbythecurrentemployer, 2));
		}

		sb.append("^");

		if (ReportedTaxableAmountonwhichtaxisdeductedbypreviousemployer != null
				&& ReportedTaxableAmountonwhichtaxisdeductedbypreviousemployer
						.length() != 0
				&& !ReportedTaxableAmountonwhichtaxisdeductedbypreviousemployer
						.equalsIgnoreCase(" ")) {
			sb.append(GrpuUtil
					.validateDecimal(
							ReportedTaxableAmountonwhichtaxisdeductedbypreviousemployer,
							2));
		}

		sb.append("^");

		if (TotalAmountoftaxdeductedatsourcebythecurrentemployerforthewholeyear != null
				&& TotalAmountoftaxdeductedatsourcebythecurrentemployerforthewholeyear
						.length() != 0
				&& !TotalAmountoftaxdeductedatsourcebythecurrentemployerforthewholeyear
						.equalsIgnoreCase(" ")) {
			sb.append(GrpuUtil
					.validateDecimal(
							TotalAmountoftaxdeductedatsourcebythecurrentemployerforthewholeyear,
							2));
		}

		sb.append("^");

		if (ReportedamountofTaxdeductedatsourcebypreviousemployer != null
				&& ReportedamountofTaxdeductedatsourcebypreviousemployer
						.length() != 0
				&& !ReportedamountofTaxdeductedatsourcebypreviousemployer
						.equalsIgnoreCase(" ")) {
			sb.append(GrpuUtil.validateDecimal(
					ReportedamountofTaxdeductedatsourcebypreviousemployer, 2));
		}

		sb.append("^");

		if (WhethertaxdeductedatHigherrate != null
				&& WhethertaxdeductedatHigherrate.length() != 0) {
			sb.append(WhethertaxdeductedatHigherrate);
		}

		// newly added for FRD1.6 by akansha
		sb.append("^");

		if (Whetherhouserentallowanceclaim != null
				&& Whetherhouserentallowanceclaim.length() != 0) {
			sb.append(Whetherhouserentallowanceclaim);
		}
		sb.append("^");
		
		if(CountofPANoftheLandLord !=null && !CountofPANoftheLandLord.equalsIgnoreCase(" ")){
			sb.append(CountofPANoftheLandLord);
		}
		
		sb.append("^");

		if (PanofLandlord1 != null && !PanofLandlord1.equalsIgnoreCase(" ")) {
			sb.append(PanofLandlord1);
		}
		sb.append("^");

		if (NameofLandlord1 != null && !NameofLandlord1.equalsIgnoreCase(" ")) {
			sb.append(NameofLandlord1);
		}
		sb.append("^");

		if (PanofLandlord2 != null && !PanofLandlord2.equalsIgnoreCase(" ")) {
			sb.append(PanofLandlord2);
		}
		sb.append("^");

		if (NameofLandlord2 != null && !NameofLandlord2.equalsIgnoreCase(" ")) {
			sb.append(NameofLandlord2);
		}
		sb.append("^");
		
		if (PanofLandlord3 != null && !PanofLandlord3.equalsIgnoreCase(" ")) {
			sb.append(PanofLandlord3);
		}
		sb.append("^");

		if (NameofLandlord3 != null && !NameofLandlord3.equalsIgnoreCase(" ")) {
			sb.append(NameofLandlord3);
		}
		sb.append("^");
		
		if (PanofLandlord4 != null && !PanofLandlord4.equalsIgnoreCase(" ")) {
			sb.append(PanofLandlord4);
		}
		sb.append("^");

		if (NameofLandlord4 != null && !NameofLandlord4.equalsIgnoreCase(" ")) {
			sb.append(NameofLandlord4);
		}
		sb.append("^");
		
		if (WhetherInterestPaidtotheLender != null
				&& WhetherInterestPaidtotheLender.length() != 0) {
			sb.append(WhetherInterestPaidtotheLender);
		}
		sb.append("^");
		
		if(CountofPANoftheLender !=null && !CountofPANoftheLender.equalsIgnoreCase(" ")){
			sb.append(CountofPANoftheLender);
		}
		
		sb.append("^");
		
		
		if (DeductionOfInterestUnderHeadIncomePANofLender1 != null
				&& !DeductionOfInterestUnderHeadIncomePANofLender1
						.equalsIgnoreCase(" ")) {
			sb.append(DeductionOfInterestUnderHeadIncomePANofLender1);
		}
		sb.append("^");

		if (DeductionOfInterestUnderHeadIncomeNameofLender1 != null
				&& !DeductionOfInterestUnderHeadIncomeNameofLender1
						.equalsIgnoreCase(" ")) {
			sb.append(DeductionOfInterestUnderHeadIncomeNameofLender1);
		}
		sb.append("^");
		
		if (DeductionOfInterestUnderHeadIncomePANofLender2 != null
				&& !DeductionOfInterestUnderHeadIncomePANofLender2
						.equalsIgnoreCase(" ")) {
			sb.append(DeductionOfInterestUnderHeadIncomePANofLender2);
		}
		sb.append("^");

		if (DeductionOfInterestUnderHeadIncomeNameofLender2 != null
				&& !DeductionOfInterestUnderHeadIncomeNameofLender2
						.equalsIgnoreCase(" ")) {
			sb.append(DeductionOfInterestUnderHeadIncomeNameofLender2);
		}
		sb.append("^");
		

		if (DeductionOfInterestUnderHeadIncomePANofLender3 != null
				&& !DeductionOfInterestUnderHeadIncomePANofLender3
						.equalsIgnoreCase(" ")) {
			sb.append(DeductionOfInterestUnderHeadIncomePANofLender3);
		}
		sb.append("^");

		if (DeductionOfInterestUnderHeadIncomeNameofLender3 != null
				&& !DeductionOfInterestUnderHeadIncomeNameofLender3
						.equalsIgnoreCase(" ")) {
			sb.append(DeductionOfInterestUnderHeadIncomeNameofLender3);
		}
		sb.append("^");
		

		if (DeductionOfInterestUnderHeadIncomePANofLender4 != null
				&& !DeductionOfInterestUnderHeadIncomePANofLender4
						.equalsIgnoreCase(" ")) {
			sb.append(DeductionOfInterestUnderHeadIncomePANofLender4);
		}
		sb.append("^");

		if (DeductionOfInterestUnderHeadIncomeNameofLender4 != null
				&& !DeductionOfInterestUnderHeadIncomeNameofLender4
						.equalsIgnoreCase(" ")) {
			sb.append(DeductionOfInterestUnderHeadIncomeNameofLender4);
		}
		sb.append("^");
		//newly added for revised FRD1.6 by akansha
		
		if(WhetherContributionsPaidByTrustees !=null && WhetherContributionsPaidByTrustees.length()!=0){
			sb.append(WhetherContributionsPaidByTrustees);
		}
		sb.append("^");
		
		if(NameOfSuperAnnuationFund !=null && !NameOfSuperAnnuationFund.equalsIgnoreCase(" ")){
			sb.append(NameOfSuperAnnuationFund);
		}
		sb.append("^");
		
		if(DateFromWhichEmpContrSuperAnnFund !=null && DateFromWhichEmpContrSuperAnnFund.length()!=0){
			sb.append(DateFromWhichEmpContrSuperAnnFund);
		}
		sb.append("^");
		
		if(DateToWhichEmpContrSuperAnnFund !=null && DateToWhichEmpContrSuperAnnFund.length()!=0){
			sb.append(DateToWhichEmpContrSuperAnnFund);
		}
		sb.append("^");
		
		if(AmountOfContrRepaidPI !=null && !AmountOfContrRepaidPI.equalsIgnoreCase(" ")){
			sb.append(GrpuUtil
					.validateDecimal(AmountOfContrRepaidPI,2));
		}
		sb.append("^");
		
		if(AvgRateOfDedTaxPrecedingThreeYears!=null && !AvgRateOfDedTaxPrecedingThreeYears.equalsIgnoreCase(" ")){
			sb.append(GrpuUtil
					.validateDecimal(AvgRateOfDedTaxPrecedingThreeYears,2));
		}
		sb.append("^");
		
		if(AmountOfTaxDeductedRepayment !=null && !AmountOfTaxDeductedRepayment.equalsIgnoreCase(" ")){
			sb.append(GrpuUtil
					.validateDecimal(AmountOfTaxDeductedRepayment,2));
		}
		sb.append("^");
		
		if(GrossTotalIncomeContrPISuperAnnuation !=null && !GrossTotalIncomeContrPISuperAnnuation.equalsIgnoreCase(" ")){
			sb.append(GrpuUtil
					.validateDecimal(GrossTotalIncomeContrPISuperAnnuation,2));
		}
		
		// ***********************************************************************************
		
		/****************** Added for 2.7 Start ********************/
		sb.append("^");

		if(GrossSalaryAsPerSec17_1 !=null && !GrossSalaryAsPerSec17_1.equalsIgnoreCase(" ")){
			sb.append(GrpuUtil
					.validateDecimal(GrossSalaryAsPerSec17_1,2));
		}
		sb.append("^");

		if(ValueOfPerquisiteAsPerSec17_2 !=null && !ValueOfPerquisiteAsPerSec17_2.equalsIgnoreCase(" ")){
			sb.append(GrpuUtil
					.validateDecimal(ValueOfPerquisiteAsPerSec17_2,2));
		}
		sb.append("^");

		if(ProfitsInLieuOfSalaryAsPerSec17_3 !=null && !ProfitsInLieuOfSalaryAsPerSec17_3.equalsIgnoreCase(" ")){
			sb.append(GrpuUtil
					.validateDecimal(ProfitsInLieuOfSalaryAsPerSec17_3,2));
		}
		sb.append("^");

		if(TravelConcession !=null && !TravelConcession.equalsIgnoreCase(" ")){
			sb.append(GrpuUtil
					.validateDecimal(TravelConcession,2));
		}
		sb.append("^");

		if(DeathCumRetirementGratuity !=null && !DeathCumRetirementGratuity.equalsIgnoreCase(" ")){
			sb.append(GrpuUtil
					.validateDecimal(DeathCumRetirementGratuity,2));
		}
		sb.append("^");

		if(CommutedValueOfPension !=null && !CommutedValueOfPension.equalsIgnoreCase(" ")){
			sb.append(GrpuUtil
					.validateDecimal(CommutedValueOfPension,2));
		}
		sb.append("^");

		if(CashEquivalentOfLeaveSalary !=null && !CashEquivalentOfLeaveSalary.equalsIgnoreCase(" ")){
			sb.append(GrpuUtil
					.validateDecimal(CashEquivalentOfLeaveSalary,2));
		}
		sb.append("^");

		if(HRA !=null && !HRA.equalsIgnoreCase(" ")){
			sb.append(GrpuUtil
					.validateDecimal(HRA,2));
		}
		sb.append("^");

		if(AmountOfAnyOtherExemption !=null && !AmountOfAnyOtherExemption.equalsIgnoreCase(" ")){
			sb.append(GrpuUtil
					.validateDecimal(AmountOfAnyOtherExemption,2));
		}
		sb.append("^");

		if(TotalAmountOfExemption !=null && !TotalAmountOfExemption.equalsIgnoreCase(" ")){
			sb.append(GrpuUtil
					.validateDecimal(TotalAmountOfExemption,2));
		}
		sb.append("^");

		if(IncomeUnderTheHead !=null && !IncomeUnderTheHead.equalsIgnoreCase(" ")){
			sb.append(GrpuUtil
					.validateDecimal(IncomeUnderTheHead,2));
		}
		sb.append("^");

		if(RebateUnderSection87A !=null && !RebateUnderSection87A.equalsIgnoreCase(" ")){
			sb.append(GrpuUtil
					.validateDecimal(RebateUnderSection87A,2));
		}
		sb.append("^");
		if(Whetheroptingfornewtax !=null && !Whetheroptingfornewtax.equalsIgnoreCase(" ")){  //RPU 3.6 changes
			sb.append((Whetheroptingfornewtax));
		}
		
		/***************** Added for 2.7 End  ********************/

		sb.append("^");

		if (RecordHash != null && RecordHash.length() != 0) {
			sb.append(RecordHash);
		}

		return sb.toString();

	}

	
}
